Jump to content
réjean

bluetooth

Recommended Posts

réjean

Hi everyone! It has been a long time since I have posted. I have been reading some threads once in a while however.
I am running Ubuntu and I have purchase a wireless set of headphone thinking that I could use bluetooth to connect but I am having some difficulties installing it.Here is what I get when I try Synaptic;

"quote"

W: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/cogl/libcogl20_1.22.2-5_amd64.deb
  404  Not Found [IP: 91.189.91.14 80]


W: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/cogl/libcogl-pango20_1.22.2-5_amd64.deb
  404  Not Found [IP: 91.189.91.14 80]
"/quote"

 

If I try 'sudo apt-get install bluetooth' I get;

"quote"

E: Could not get lock /var/lib/dpkg/lock-frontend - open (11: Resource temporarily unava
ilable)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), is another pr
ocess using it?

"/quote"

 

What can I do? Thanks!

 

Edited by réjean
cannot remember how to quote.

Share this post


Link to post
Share on other sites
Hedon James

you can't use apt or apt-get if synaptic is open.  synaptic runs with root privileges and "locks" the dpkg installer.  close synaptic and use the terminal.  It's been awhile since I set up bluetooth on mine (Lubuntu 16.04) but I can't imagine it changed much.  This all looks familiar:

 

https://www.maketecheasier.com/setup-bluetooth-in-linux/

 

 

  • Like 1

Share this post


Link to post
Share on other sites
réjean

Thanks James. I thought I had closed Synaptic but maybe I hadn't. Anyway. I rebooted into Kubuntu 18.10 (not Ubuntu) and I am following the tutorial you suggested but I have problems;



rejean@rejean-G41MT-S2P:~$ sudo apt-get install bluetooth bluez bluez-tools rfkill
[sudo] password for rejean:  
Reading package lists... Done
Building dependency tree        
Reading state information... Done
bluez is already the newest version (5.50-0ubuntu1).
bluez set to manually installed.
rfkill is already the newest version (2.32-0.1ubuntu2).
rfkill set to manually installed.
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
gstreamer1.0-clutter-3.0 : Depends: libclutter-1.0-0 (>= 1.20.0) but it is not going to
be installed
intltool-debian : Depends: gettext
libclutter-gst-3.0-0 : Depends: libclutter-1.0-0 (>= 1.20.0) but it is not going to be
installed
                       Depends: libcogl20 (>= 1.17.4) but it is not going to be install
ed
libclutter-gtk-1.0-0 : Depends: libclutter-1.0-0 (>= 1.23.7) but it is not going to be
installed
                       Depends: libcogl20 (>= 1.17.4) but it is not going to be install
ed
libemail-valid-perl : Depends: libnet-dns-perl but it is not going to be installed
libgdata22 : Depends: libgoa-1.0-0b (>= 3.7.90) but it is not going to be installed
python3-pymacaroons : Depends: python3-nacl (>= 1.1.2) but it is not going to be instal
led
python3-rfc3339 : Depends: python3-tz but it is not going to be installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a sol
ution).
rejean@rejean-G41MT-S2P:~$


Share this post


Link to post
Share on other sites
réjean

If I try "apt --fix-broken install":



The following packages were automatically installed and are no longer required:
 apg diffstat enchant gettext gstreamer1.0-clutter-3.0 intltool-debian
 libcanberra-gtk3-0 libcanberra-gtk3-module libcgi-fast-perl libcgi-pm-perl
 libclass-accessor-perl libclone-perl libclutter-1.0-0 libclutter-1.0-common
 libclutter-gst-3.0-0 libclutter-gtk-1.0-0 libcogl-common libcogl-pango20
 libcogl-path20 libcogl20 libcolord-gtk1 libdigest-bubblebabble-perl
 libemail-valid-perl libenchant1c2a libexporter-tiny-perl libfcgi-perl
 libfile-fcntllock-perl libgdata-common libgdata22 libgmime-3.0-0 libgoa-1.0-0b
 libgoa-1.0-common libgtop-2.0-11 libgtop2-common libio-pty-perl libio-string-perl
 libipc-run-perl liblist-moreutils-perl libnet-dns-perl libnet-dns-sec-perl
 libnet-domain-tld-perl libnet-ip-perl liboauth0 libparse-debianchangelog-perl
 libperlio-gzip-perl libtext-levenshtein-perl libxklavier16
 libxml-namespacesupport-perl libxml-sax-base-perl libxml-sax-expat-perl
 libxml-sax-perl libxml-simple-perl mousetweaks patch patchutils python3-cffi-backend
 python3-defer python3-distro python3-nacl python3-pymacaroons python3-rfc3339
 python3-tz t1utils ubuntu-system-service
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
 gettext libclutter-1.0-0 libclutter-1.0-common libcogl-common libcogl-pango20
 libcogl-path20 libcogl20 libgoa-1.0-0b libgoa-1.0-common libnet-dns-perl
 libnet-dns-sec-perl libnet-libidn-perl python3-cffi-backend python3-nacl python3-tz
Suggested packages:
 gettext-doc autopoint libasprintf-dev libgettextpo-dev python-nacl-doc
The following NEW packages will be installed:
 gettext libclutter-1.0-0 libclutter-1.0-common libcogl-common libcogl-pango20
 libcogl-path20 libcogl20 libgoa-1.0-0b libgoa-1.0-common libnet-dns-perl
 libnet-dns-sec-perl libnet-libidn-perl python3-cffi-backend python3-nacl python3-tz
0 upgraded, 15 newly installed, 0 to remove and 1 not upgraded.
8 not fully installed or removed.
Need to get 2,550 kB of archives.
After this operation, 9,044 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Err:1 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libcogl20 amd64 1.22.2-5
 404  Not Found [IP: 91.189.91.26 80]
Err:2 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libcogl-pango20 amd64 1.22.2
-5
 404  Not Found [IP: 91.189.91.26 80]
Err:3 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libcogl-path20 amd64 1.22.2-
5
 404  Not Found [IP: 91.189.91.26 80]
Err:4 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libclutter-1.0-0 amd64 1.26.
2+dfsg-5
 404  Not Found [IP: 91.189.91.26 80]
Ign:5 http://ca.archive.ubuntu.com/ubuntu cosmic-updates/main amd64 gettext amd64 0.19.8
.1-8ubuntu0.1
Ign:6 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libnet-dns-perl all 1.17-1
Ign:7 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libgoa-1.0-common all 3.30.0
-1ubuntu1
Err:8 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libgoa-1.0-0b amd64 3.30.0-1
ubuntu1
 404  Not Found [IP: 91.189.91.26 80]
Err:9 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 python3-cffi-backend amd64 1
.11.5-3ubuntu1
 404  Not Found [IP: 91.189.91.26 80]
Err:10 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 python3-nacl amd64 1.2.1-3b
uild1
 404  Not Found [IP: 91.189.91.26 80]
Ign:11 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 python3-tz all 2018.5-1
Ign:12 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libclutter-1.0-common all 1
.26.2+dfsg-5
Ign:13 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libcogl-common all 1.22.2-5
Err:14 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libnet-dns-sec-perl amd64 1
.09-1build1
 404  Not Found [IP: 91.189.91.26 80]
Err:15 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libnet-libidn-perl amd64 0.
12.ds-3
 404  Not Found [IP: 91.189.91.26 80]
Err:6 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libnet-dns-perl all 1.17-1
 404  Not Found [IP: 91.189.91.26 80]
Err:7 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libgoa-1.0-common all 3.30.0
-1ubuntu1
 404  Not Found [IP: 91.189.91.26 80]
Err:11 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 python3-tz all 2018.5-1
 404  Not Found [IP: 91.189.91.26 80]
Err:12 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libclutter-1.0-common all 1
.26.2+dfsg-5
 404  Not Found [IP: 91.189.91.26 80]
Err:13 http://ca.archive.ubuntu.com/ubuntu cosmic/main amd64 libcogl-common all 1.22.2-5
 404  Not Found [IP: 91.189.91.26 80]
Err:5 http://security.ubuntu.com/ubuntu cosmic-updates/main amd64 gettext amd64 0.19.8.1
-8ubuntu0.1
 404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/cogl/libcogl20_1.22.2
-5_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/cogl/libcogl-pango20_
1.22.2-5_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/cogl/libcogl-path20_1
.22.2-5_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/clutter-1.0/libclutte
r-1.0-0_1.26.2+dfsg-5_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/g/gettext/gettext_0.19.8.
1-8ubuntu0.1_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/libn/libnet-dns-perl/li
bnet-dns-perl_1.17-1_all.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/g/gnome-online-accounts
/libgoa-1.0-common_3.30.0-1ubuntu1_all.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/g/gnome-online-accounts
/libgoa-1.0-0b_3.30.0-1ubuntu1_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/p/python-cffi/python3-c
ffi-backend_1.11.5-3ubuntu1_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/p/python-nacl/python3-n
acl_1.2.1-3build1_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/p/python-tz/python3-tz_
2018.5-1_all.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/clutter-1.0/libclutte
r-1.0-common_1.26.2+dfsg-5_all.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/c/cogl/libcogl-common_1
.22.2-5_all.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/libn/libnet-dns-sec-per
l/libnet-dns-sec-perl_1.09-1build1_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/pool/main/libn/libnet-libidn-perl
/libnet-libidn-perl_0.12.ds-3_amd64.deb  404  Not Found [IP: 91.189.91.26 80]
E: Unable to fetch some archives, try running apt-get update or apt-get --fix-missing.
rejean@rejean-G41MT-S2P:~$ apt-get --fix-missing
apt 1.7.5 (amd64)
Usage: apt-get [options] command
      apt-get [options] install|remove pkg1 [pkg2 ...]
      apt-get [options] source pkg1 [pkg2 ...]

apt-get is a command line interface for retrieval of packages
and information about them from authenticated sources and
for installation, upgrade and removal of packages together
with their dependencies.

Most used commands:
 update - Retrieve new lists of packages
 upgrade - Perform an upgrade
 install - Install new packages (pkg is libc6 not libc6.deb)
 remove - Remove packages
 purge - Remove packages and config files
 autoremove - Remove automatically all unused packages
 dist-upgrade - Distribution upgrade, see apt-get(8)
 dselect-upgrade - Follow dselect selections
 build-dep - Configure build-dependencies for source packages
 clean - Erase downloaded archive files
 autoclean - Erase old downloaded archive files
 check - Verify that there are no broken dependencies
 source - Download source archives
 download - Download the binary package into the current directory
 changelog - Download and display the changelog for the given package

See apt-get(8) for more information about the available commands.
Configuration options and syntax is detailed in apt.conf(5).
Information about how to configure sources can be found in sources.list(5).
Package and version choices can be expressed via apt_preferences(5).
Security details are available in apt-secure(8).
                                       This APT has Super Cow Powers.
rejean@rejean-G41MT-S2P:~$ sudo apt-get update
Ign:1 http://security.ubuntu.com/ubuntu cosmic-security InRelease
Ign:2 http://ca.archive.ubuntu.com/ubuntu cosmic InRelease                              
Err:3 http://security.ubuntu.com/ubuntu cosmic-security Release                         
 404  Not Found [IP: 91.189.91.23 80]
Ign:4 http://ca.archive.ubuntu.com/ubuntu cosmic-updates InRelease                      
Ign:5 http://ca.archive.ubuntu.com/ubuntu cosmic-backports InRelease                    
Hit:6 https://brave-browser-apt-release.s3.brave.com cosmic InRelease      
Err:7 http://ca.archive.ubuntu.com/ubuntu cosmic Release
 404  Not Found [IP: 91.189.91.26 80]
Err:8 http://ca.archive.ubuntu.com/ubuntu cosmic-updates Release
 404  Not Found [IP: 91.189.91.26 80]
Err:9 http://ca.archive.ubuntu.com/ubuntu cosmic-backports Release
 404  Not Found [IP: 91.189.91.26 80]
Reading package lists... Done                       
E: The repository 'http://security.ubuntu.com/ubuntu cosmic-security Release' no longer
has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by
default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ca.archive.ubuntu.com/ubuntu cosmic Release' no longer has a R
elease file.
N: Updating from such a repository can't be done securely, and is therefore disabled by
default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ca.archive.ubuntu.com/ubuntu cosmic-updates Release' no longer
has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by
default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://ca.archive.ubuntu.com/ubuntu cosmic-backports Release' no long
er has a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by
default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
rejean@rejean-G41MT-S2P:~$


 

In the meantime I have another machine which is running Ubuntu and seems to have bluetooth installed. I'll see if I can get it working.

Share this post


Link to post
Share on other sites
securitybreach

Well you are getting all of the 404 errors as that directory is no longer on the mirror that you are using. If you navigate to http://ca.archive.ubuntu.com/ubuntu/ you will see that Cosmic is no longer there. Even under dists, you go from Bionic to Disco

  • Like 1

Share this post


Link to post
Share on other sites
securitybreach

18.10 Cosmic Clutter went out of support on July 2019 (found here) and that is probably why you are having issues.

  • Like 1

Share this post


Link to post
Share on other sites
Hedon James
11 minutes ago, securitybreach said:

18.10 Cosmic Clutter went out of support on July 2019 (found here) and that is probably why you are having issues.

correct.  at this point, he can only upgrade to 19.04 (also an interim release and out of 9-month support windows) and then 19.10.  At this point, I'd simply re-install and choose a 20.04 beta.  it's nearly finished.

 

and future reference, I'd stick to 'buntu LTS releases only....easily identified as even numbered years AND ending in .04....currently 20.04 for April 2020 LTS.  LTS versions have 5 year support windows, so you only have to upgrade about every 2 years.  Those in-between versions (odd numbers and/or ending in *.10) are only supported for 9 months, so to stay current you MUST upgrade every 6 months to stay within the support cycle.  FWIW...

Edited by Hedon James
  • Like 2

Share this post


Link to post
Share on other sites
réjean

So I recycled 2 partitions and installed Ubuntu 20.04 LTS. Then I started following the tutorial that James suggested. It seems to be going well until I got to this point. What could I do next?

Screenshot from 2020-02-26 20-04-20.png

Share this post


Link to post
Share on other sites
réjean

I don't get that little window, just a new prompt in the terminal.

I just got security's new post so I'll look at it.

 

Edited by réjean

Share this post


Link to post
Share on other sites
securitybreach

You shouldn't of had to install anything as ubuntu gnome comes with bluetooth installed.

Share this post


Link to post
Share on other sites
réjean

When I follow the instructions I get the following. The switch is not set to "on"

Screenshot from 2020-02-26 20-13-06.png

Share this post


Link to post
Share on other sites
securitybreach

You have to put your device in pairing mode for it to be found.

Share this post


Link to post
Share on other sites
securitybreach

Oh, you have to click the toggle at the top right to turn on bluetooth.

Share this post


Link to post
Share on other sites
securitybreach

It's beside the minimize button

 

Share this post


Link to post
Share on other sites
réjean

I do have the headset on and nearby.

Share this post


Link to post
Share on other sites
réjean

I see it and try to click on it but nothing is happening.

 

Share this post


Link to post
Share on other sites
réjean

Screenshot from 2020-02-26 20-21-49.png

Share this post


Link to post
Share on other sites
réjean

sorry I thought the picture would show the pointer trying to trigger the button.

 

Share this post


Link to post
Share on other sites
securitybreach
4 minutes ago, réjean said:

I do have the headset on and nearby.

 

You probably have to restart bluetooth as you installed installed another bluetooth manager (bluez).

Share this post


Link to post
Share on other sites
securitybreach
Try running:  

sudo service bluetooth restart

 

Share this post


Link to post
Share on other sites
réjean

Screenshot from 2020-02-26 20-33-36.png

Share this post


Link to post
Share on other sites
securitybreach

Ok, now try to enable it.

Share this post


Link to post
Share on other sites
réjean

I have turned the headset on and off several times.

and closed bluetooth on and off.

Share this post


Link to post
Share on other sites
securitybreach

I am talking about the toggle at the bottom of the bluetooth menu

Share this post


Link to post
Share on other sites
réjean

still the same.

 

Share this post


Link to post
Share on other sites
réjean

me too.

 

Share this post


Link to post
Share on other sites
securitybreach

I don't know then. Installing Bluez probably screwed up the default bluetooth setup. So now we have to figure out how to undo that.

  • Like 1

Share this post


Link to post
Share on other sites
securitybreach

It works out of the box on Ubuntu and others without any configuration.

Share this post


Link to post
Share on other sites
réjean

should I go in synaptic and uninstall bluez?

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...